pub struct AmendOrderRequest {
pub category: String,
pub symbol: String,
pub order_id: Option<String>,
pub order_link_id: Option<String>,
pub qty: Option<Decimal>,
pub price: Option<Decimal>,
pub trigger_price: Option<Decimal>,
}Expand description
The body of POST /v5/order/amend: the order is named by orderId or orderLinkId, the fields set are changed.
Fields§
§category: StringThe category.
symbol: StringThe symbol.
order_id: Option<String>The number of the order.
order_link_id: Option<String>The client id of the order.
qty: Option<Decimal>The new quantity.
price: Option<Decimal>The new price.
trigger_price: Option<Decimal>The new trigger price of a conditional order.
Trait Implementations§
Source§impl Clone for AmendOrderRequest
impl Clone for AmendOrderRequest
Source§fn clone(&self) -> AmendOrderRequest
fn clone(&self) -> AmendOrderRequest
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for AmendOrderRequest
impl Debug for AmendOrderRequest
Source§impl Default for AmendOrderRequest
impl Default for AmendOrderRequest
Source§fn default() -> AmendOrderRequest
fn default() -> AmendOrderRequest
Returns the “default value” for a type. Read more
Auto Trait Implementations§
impl Freeze for AmendOrderRequest
impl RefUnwindSafe for AmendOrderRequest
impl Send for AmendOrderRequest
impl Sync for AmendOrderRequest
impl Unpin for AmendOrderRequest
impl UnsafeUnpin for AmendOrderRequest
impl UnwindSafe for AmendOrderRequest
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more